<template>
    <div>
        <div class="event-header">
            <span class="eyebrow">@{{ blog.name }} on {{ blog.date }}</span>
            <h1 class="title">{{ blog.title }}</h1>
        </div>
        <address>{{ blog.location }}</address>
        <h2>Event details</h2>
        <p>{{ blog.description }}</p>

    </div>
</template>

<script>
import {mapState} from 'vuex'
// import BlogService from "@/services/BlogService";

export default {
    props: {
        id: {
            type: [Number, String],
            default: 10
        }
    },

    created() {
        this.$store.dispatch('settings/fetchBlog', {
            perPage: 3,
            page: 2
        })
    },
    computed: {
        ...mapState({
            blog: state => state.settings.blog
        })
    }

}
</script>

<style lang="scss" scoped>
.location {
    margin-bottom: 0;
}

.location > .icon {
    margin-left: 10px;
}

.event-header > .title {
    margin: 0;
}

.list-group {
    margin: 0;
    padding: 0;
    list-style: none;
}

.list-group > .list-item {
    padding: 1em 0;
    border-bottom: solid 1px #e5e5e5;
}
</style>
